# cwl_utils.tests.util

## Attributes

`needs_docker` |
`needs_singularity` |
`needs_podman` |
`needs_udocker` |

## Functions

`get_path`(filename) | Get the filepath for a given test file.
`get_data`(filename) |

## Module Contents

cwl_utils.tests.util.get_path(filename)

  Get the filepath for a given test file.

  Parameters:

    filename (str)

  Return type:

    pathlib.Path

cwl_utils.tests.util.get_data(filename)
  Parameters:

    filename (str)

  Return type:

    str

cwl_utils.tests.util.needs_docker

cwl_utils.tests.util.needs_singularity

cwl_utils.tests.util.needs_podman

cwl_utils.tests.util.needs_udocker